
QGIS Application - Bug report #11261

attribute form is not reset

2014-09-23 11:58 PM - Denis Rouzaud

Status: Closed

Priority: Normal

Assignee: Matthias Kuhn

Category: Forms

Affected QGIS version:2.4.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 19561

Description

1. Turn editing on a layer

2. Open form

3. Edit something (do not validate form)

4. Turn edit off (no confirmation is asked, since no changes)

5. Form is disabled but edited values remain

I think the form needs either to be reset or to be closed.

History

#1 - 2014-09-24 08:39 AM - Matthias Kuhn

I think there should be a question like "Your form contains unsaved changes, would you like to save these changes as well?"

#2 - 2014-09-24 08:41 AM - Denis Rouzaud

is this easily feasible? i.e. in all open forms intercept stop editing command and propose to commit?

anyhow, that makes a lot of sense!

#3 - 2016-12-07 01:44 AM - Denis Rouzaud

Matthias, any feedback on this?

#4 - 2017-01-05 12:20 AM - Giovanni Manghi

- Priority changed from High to Normal

- Status changed from Open to Feedback

#5 - 2017-01-09 06:02 AM - Denis Rouzaud

- Status changed from Feedback to Open

still an issue

#6 - 2017-05-01 01:08 AM - Giovanni Manghi

- Regression? set to No
- Easy fix? set to No

#7 - 2019-03-09 03:12 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
